--[[
	Bagnon Localization file

	TODO:
		Add some frame strings and other things
		I could probably Babelfish the translation, but most likely it would insult someone's
			mother or something.
--]]

--[[
	English - Default Language
		This version MUST always be loaded, as it has default values for all strings.
--]]


--[[ Keybindings ]]--

BINDING_HEADER_BAGNON = "Bagnon"
BINDING_NAME_BAGNON_TOGGLE = "Toggle Inventory"
BINDING_NAME_BANKNON_TOGGLE = "Toggle Bank"

--[[ Slash Commands ]]--

BAGNON_COMMAND_HELP = "help"
BAGNON_COMMAND_SHOWBAGS = "bags"
BAGNON_COMMAND_SHOWBANK = "bank"
BAGNON_COMMAND_OVERRIDE_BANK = "overridebank"
BAGNON_COMMAND_TOGGLE_TOOLTIPS = "tooltips"
BAGNON_COMMAND_DEBUG_ON = "debug"
BAGNON_COMMAND_DEBUG_OFF = "nodebug"

--[[ Messages from the slash commands ]]--

--/bgn help
BAGNON_HELP_TITLE = "Bagnon Commands:"
BAGNON_HELP_SHOWBAGS = "/bgn " .. BAGNON_COMMAND_SHOWBAGS .. " - Show/Hide Bagnon."
BAGNON_HELP_SHOWBANK = "/bgn " .. BAGNON_COMMAND_SHOWBANK .. " - Show/Hide Banknon."
BAGNON_HELP_HELP = "/bgn " .. BAGNON_COMMAND_HELP .. " - Display slash commands."

BAGNON_HELP_FIND = "/find <name> - Displays a window with all items matching <name>"
BAGNON_HELP_FINDR = "/findr <rule> - Displays a window with all items in the set defined by <rule>"

--/bgn debug
BAGNON_DEBUG_ENABLED = "Debugging mode enabled."

--/bgn nodebug
BAGNON_DEBUG_DISABLED = "Debugging mode disabled."


--[[ System Messages ]]--

BAGNON_INITIALIZED = "Bagnon initialized.  Type /bagnon or /bgn for commands"
BAGNON_UPDATED = "Bagnon Settings updated to v%s.  Type /bagnon or /bgn for commands"


--[[ UI Text ]]--

--These should probably read Inventory of <player> and Bank of <player> in other versions I guess
BAGNON_INVENTORY_TITLE = "%s's Inventory"
BAGNON_BANK_TITLE = "%s's Bank"

--Bag Button
BAGNON_SHOWBAGS = "Show Bags"
BAGNON_HIDEBAGS = "Hide Bags"

--General Options Menu
BAGNON_MAINOPTIONS_TITLE = "Bagnon Options"
BAGNON_MAINOPTIONS_SHOW = "Show"

--Right Click Menu
BAGNON_OPTIONS_TITLE = "Settings"
BAGNON_OPTIONS_LOCK = "Lock Position"
BAGNON_OPTIONS_BACKGROUND = "Background"
--BAGNON_OPTIONS_REVERSE = "Reverse Bag Ordering"
BAGNON_OPTIONS_COLUMNS = "Columns"
BAGNON_OPTIONS_SPACING = "Spacing"
BAGNON_OPTIONS_SCALE = "Scale"
BAGNON_OPTIONS_OPACITY = "Opacity"
BAGNON_OPTIONS_STRATA = "Layer"
BAGNON_OPTIONS_TOPLEVEL = 'Always On Top'

--Search Frames
BAGNON_SEARCH_NAME = "Named '%s'"
BAGNON_SEARCH_TAG = "Tagged '%s'"

--[[ Tooltips ]]--

--Title tooltip
BAGNON_TITLE_TOOLTIP = "<Right-Click> to open up the settings menu."

BAGNON_TAB_TITLE = '%s (%d items)'
BAGNON_TAB_TITLE_EMPTY = '%s (%d empty)'
BAGNON_TAB_TITLE_MIXED = '%s (%d items, %d empty)'
BAGNON_TAB_TOGGLE = "<Click> to toggle the display of this tab's contents"
BAGNON_TAB_SWAP = "Drag on another tab to swap positions"
BAGNON_TAB_NEW_WINDOW = "Drag onto an empty area to display this tab's contents in a seperate window"

--Bag Tooltips
BAGNON_BAGS_HIDE = "<Click> to hide."
BAGNON_BAGS_SHOW = "<Click> to show."

--Search Tooltip
BAGNON_SPOT_TOOLTIP = "<Double-Click> to search."

--[[ Other ]]--

--fifth return for GetItemInfo(id)
BAGNON_ITEMTYPE_CONTAINER = "Container"
BAGNON_ITEMTYPE_QUIVER = "Quiver"

--sixth return for GetItemInfo(id)
BAGNON_SUBTYPE_SOULBAG = "Soul Bag"
BAGNON_SUBTYPE_BAG = "Bag"